
From: Hugh Dickins <hugh@veritas.com>

rmap's try_to_unmap_one comments on find_vma failure, that a page may
temporarily be absent from a vma during mremap: no longer, though it is still
possible for this find_vma to fail, while unmap_vmas drops page_table_lock
(but that is no problem for file truncation).


---

 25-akpm/mm/rmap.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN mm/rmap.c~mremap-rmap-comment-fix mm/rmap.c
--- 25/mm/rmap.c~mremap-rmap-comment-fix	2004-04-03 03:00:18.796374072 -0800
+++ 25-akpm/mm/rmap.c	2004-04-03 03:00:18.799373616 -0800
@@ -315,8 +315,7 @@ static int fastcall try_to_unmap_one(str
 		return SWAP_AGAIN;
 	}
 
-
-	/* During mremap, it's possible pages are not in a VMA. */
+	/* unmap_vmas drops page_table_lock with vma unlinked */
 	vma = find_vma(mm, address);
 	if (!vma) {
 		ret = SWAP_FAIL;

_
